nifi-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (NIFI-2763) S3 processors do not work with older S3-compatible object stores
Date Tue, 13 Sep 2016 21:03:20 GMT

    [ https://issues.apache.org/jira/browse/NIFI-2763?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15488417#comment-15488417
] 

ASF GitHub Bot commented on NIFI-2763:
--------------------------------------

Github user jvwing commented on the issue:

    https://github.com/apache/nifi/pull/1008
  
    @baank , what would you think about moving the PropertyDescriptor and the configuration
code to the AbstractS3Processor class rather than AWSAbstractProcessor?


> S3 processors do not work with older S3-compatible object stores
> ----------------------------------------------------------------
>
>                 Key: NIFI-2763
>                 URL: https://issues.apache.org/jira/browse/NIFI-2763
>             Project: Apache NiFi
>          Issue Type: Bug
>          Components: Extensions
>    Affects Versions: 1.0.0
>            Reporter: Franco
>              Labels: easyfix
>             Fix For: 1.1.0
>
>
> In the 1.0.0 release of NiFi it is using the AWS library for connecting to S3 and S3-compatible
object stores.
> This library by default expects V4 signer support which if you are using an older object
store will not be available and so NiFi will be unusable.
> The fix is simple:
> Allow the user to specify (if they wish) the signer type that AWS library should use.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message